appId: ${APP_ID}
env:
  USER_A: foo.bar@example.com
  USER_B: john.doe@example.com
---
- runFlow: ../../../shared/launch-app.yml
- runFlow:
    file: ../../../shared/login-to-community.yml
    env:
      USERNAME: ${USER_B}
      COMMUNITY_NAME: 'Humand E2E'

- tapOn: Chats
- runFlow: ../../../shared/handle-bottom-sheet.yml
- runScript: ../scripts/getDate.js

# Verify unread counter and mentioned (previous flow creates this group and makes 4 unread messages with tags)
- assertVisible: '.*E2E Group ${output.today}.*@,*.4.*'
- tapOn: '.*E2E Group ${output.today}.*@,*.4.*'
- assertVisible: '4 unread messages'
- tapOn: Back
- assertNotVisible: '.*E2E Group ${output.today}.*@,*.4.*'
